#!/bin/bash

java -jar dist/AbuGraph.jar -port=2222 &

sleep 5
mkfifo telnet

while [ 1 ] ; do
    cat telnet
done | telnet localhost 2222 &


#
#  **To add a new edge connecting two nodes write "N-orig-dest".
#    Example: "N-one-two" will create the node "one" with a link
#              towards the node "two".
#
#  **To add a new labeled edge connecting two nodes write
#    "N-orig-dest-label".
#    Example: "N-one-two-1" will create the node "one" linked with
#              the node "two" being "1" the label for the new edge.
#
#  **To remove an existing edge use "R-origin-destination"
#    Example: "R-one-two" will remove the edge between the nodes
#             "one" and "two".
#
#  **To update an existing node use "U-CurrentLabel-NewLabel".
#    Example: "U-one-first" will modify the node label "one" with
#              the new label "first".
#
#  **To update an existing edge label use "U-Orig-Dest-NewLabel".
#    Example: "U-one-two-I" will modify the edge connecting nodes
#             "one" and "two", being "I" the new label value.
#
#  **To clear the current graph use "C".
#
#  **To quit use "Q"

echo N-1-2 > telnet


